Agora RTC Objective-C API Reference Refactor

Data Fields
PlayerStreamInfo Struct Reference

## Data Fields
int | streamIndex
MEDIA_STREAM_TYPE | streamType
char | codecName [kMaxCharBufferLength]
char | language [kMaxCharBufferLength]
int | videoFrameRate
int | videoBitRate
int | videoWidth
int | videoHeight
int | videoRotation
int | audioSampleRate
int | audioChannels
int | audioBitsPerSample
int64_t | duration

## Constructor & Destructor Documentation

## ◆ PlayerStreamInfo()

PlayerStreamInfo | ( |  | ) |
| inline

## Field Documentation

## ◆ streamIndex

int streamIndex

The index of the media stream.

## ◆ streamType

MEDIA_STREAM_TYPE streamType

The type of the media stream. See `MEDIA_STREAM_TYPE`.

## ◆ codecName

char codecName[kMaxCharBufferLength]

The codec of the media stream.

## ◆ language

char language[kMaxCharBufferLength]

The language of the media stream.

## ◆ videoFrameRate

int videoFrameRate

This parameter only takes effect for video streams, and indicates the video frame rate (fps).

## ◆ videoBitRate

int videoBitRate

This parameter only takes effect for video streams, and indicates the video bitrate (bps).

## ◆ videoWidth

int videoWidth

This parameter only takes effect for video streams, and indicates the video width (pixel).

## ◆ videoHeight

int videoHeight

This parameter only takes effect for video streams, and indicates the video height (pixel).

## ◆ videoRotation

int videoRotation

This parameter only takes effect for video streams, and indicates the video rotation angle.

## ◆ audioSampleRate

int audioSampleRate

This parameter only takes effect for audio streams, and indicates the audio sample rate (Hz).

## ◆ audioChannels

int audioChannels

This parameter only takes effect for audio streams, and indicates the audio channel number.

## ◆ audioBitsPerSample

int audioBitsPerSample

This parameter only takes effect for audio streams, and indicates the bit number of each audio sample.

## ◆ duration

int64_t duration

The total duration (ms) of the media stream.